<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html">
    <h:head>
        <title>Facelet Title</title>
    </h:head>    

    <h:body>
        <h:form prependId="false">
            <h:messages/>

            <h:panelGrid columns="2">                   
                <h:outputLabel value="Nome:" for="nome" />

                <h:inputText id="nome"  required="true" requiredMessage="Campo obrigatório!" value="#{helloBean.nome}" />

                <h:panelGroup>
                    <h:commandButton value="Vai" action="#{helloBean.vai}"/>
                </h:panelGroup>   

            </h:panelGrid>
        </h:form>

        <h:outputText value="#{helloBean.nome}" />



    </h:body>

</html>

